#pragma once
#include "popuplist.h"
#include "Buddy.h"

class GroupPopupList :
	public PopupList
{
public:
	GroupPopupList();
	~GroupPopupList();

	int Create(HWND parent = 0);
	void DeepRefresh(int groupId, int showdescription = 0);
	virtual void OnCustomNotify(int id, Notification& n);
	virtual void OnListSelect(HWND h, HWND hItem);

	static Appearance PublicEvent;
	static Appearance PrivateEvent;
	static Appearance DescriptionStyle;

	int groupId;
	Vector<EventRecord> events;
	Vector<Buddy> users;

	int spacing;
};